Bug 198891 - lpasswd crashes when no username set on command line
lpasswd crashes when no username set on command line
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 09:49 EDT by Miloslav Trmač
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.53.7-1.fc4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 19:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2006-07-14 09:49:16 EDT
+++ This bug was initially created as a clone of Bug #174801 +++

Description of problem:
lu_authenticate_unprivileged() doesn't verify if user parameter is NULL.

Version-Release number of selected component (if applicable):
0.54.2

How reproducible:
100%

Steps to Reproduce:
1. lpasswd
2. enter login, password
3. crash
  
Actual results:
crash

Expected results:
no crash

Additional info:

-- Additional comment from mitr@redhat.com on 2005-12-04 03:52 EST --
Fixed in libuser-0.54.3. Thanks for your report.
Comment 1 Fedora Update System 2006-07-17 15:47:22 EDT
libuser-0.53.7-1.fc4.1 has been pushed for fc4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Fedora Update System 2006-07-26 14:24:17 EDT
libuser-0.53.7-1.fc4.1 has been pushed for fc4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2006-07-26 14:54:20 EDT
libuser-0.53.7-1.fc4.1 has been pushed for fc4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Luke Macken 2006-07-26 14:57:43 EDT
Sorry for the bug spam.. the updates system has been having a bad day :(

Note You need to log in before you can comment on or make changes to this bug.